use crate::func::context::*;
use crate::rcore::*;
use crate::rstd::tracing::*;

use super::*;

pub struct TestContextTraced;

impl FunctorContext<'_> for TestContextTraced {
    type T = TracedInstance;
}

impl FallibleCtx<'_> for TestContextTraced {
    type Fallible = instances::result::ResultFailOver<Self::T>;
}

impl<'a> Context<'a> for TestContextTraced {
    type D = TracedDiagnostic;

    type LookupError = TestLookupError<'a>;

    fn hash(s: &[u8]) -> Hash {
        TestContextPlain::hash(s)
    }
}
